Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158251 - Kernel compiltaion error
Summary: Kernel compiltaion error
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ernie Petrides
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-19 21:31 UTC by Venkat Reddy
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-03 23:49:59 UTC


Attachments (Terms of Use)

Description Venkat Reddy 2005-05-19 21:31:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2) Gecko/20040805 Netscape/7.2

Description of problem:
Make and make install gives the following error on a x86_64

depmod: *** Unresolved symbols in /lib/modules/2.4.21-27.0.4.ELsmp/kernel/drivers/char/hangcheck-timer.o
depmod: 	handle_sysrq_Rsmp_11f5e612


Version-Release number of selected component (if applicable):
2.4.21-27.0.4.EL

How reproducible:
Always

Steps to Reproduce:
1.Download 2.4.21-27.0.4EL kernel source package from rhn site.
2.make
3.make install
  

Actual Results:  I was able to compile kernel, and install it, except with the above error.

Additional info:

Comment 1 Ernie Petrides 2005-06-03 23:49:59 UTC
The correct build-from-source procedure is as follows:

  1) make mrproper
  2) cp configs/kernel-2.4.21-x86_64-smp.config .config
  3) make oldconfig
  4) make dep
  5) make bzImage
  6) make modules

The correct install procedure (following the above) is:

  1) make modules_install
  2) make install



Note You need to log in before you can comment on or make changes to this bug.